TAIL(1)

NAVN
tail - output the last part of files

OVERSIKT
tail [VALG]... [FIL]...

BESKRIVELSE

Skriv ut de siste 10 linjene fra hver FIL til standardutdata. Hvis flere FILer er valgt, vises hver av dem med filnavnet sitt som overskrift.

Hvis ingen FIL er valgt, eller hvis FIL er «-», leser programmet standard inndata.

Argumenter som er obligatoriske for lange valg, er også obligatoriske for korte valg.

-c, --bytes=[+]ANT
    Skriv ut siste valgt ANTall byte, eller bruk -c +ANT for å hoppe over valgt ANTall byte i hver fil.

-f, --follow[={name|descriptor}]
    Skriv ut mer data etter hvert som fila vokser.

    (hvis du ikke argumenterer, brukes «descriptor»)

-F  Tilsvarer --follow=name --retry.

-n, --lines=[+]ANT
    Skriv ut de siste valgt ANTall linjene, i stedet for de siste 10 (eller bruk «-n +ANT» for å skrive ut linjer fra og med den ANT-ende).

--max-unchanged-stats=N
    Ved bruk sammen med --follow=name åpnes en FIL som

    ikke har endret størrelse etter N (standard: %d) endringer på nytt, for å se om den har blitt avlenket eller fått nytt navn (sistnevnte er typisk for rullerende loggfiler). Dette valget er sjeldent nyttig når du bruker «inotify».

--pid=PID
    Ved bruk sammen med -f avsluttes tail etter at valgt prosess-ID dør.

-q, --quiet, --silent
    Ikke skriv ut filnavn som overskrifter.

--retry
    Prøv å åpne en fil på nytt hvis den er eller blir utilgjengelig.

-s, --sleep-interval=N
    Ved bruk sammen med -f tar programmet pause i cirka N antall sekunder (standard: 1.0) mellom gjennomkjøringer. Ved bruk sammen med «inotify» og --pid=P, sjekkes prosess P minst én gang per N antall sekunder.

-v, --verbose
    Skriv alltid ut overskrifter med filnavn.

-z, --zero-terminated
    Skill mellom linjer med NUL i stedet for linjeskift.

--help
    Vis denne hjelpeteksten og avslutt.

--version
    Vis versjonsinformasjon og avslutt.

ANT kan brukes med multiplikasjonssuffiks, f.eks. slik: b 512, kB 1000, K 1024, MB 1000*1000, M 1024*1024, GB 1000*1000*1000, G 1024*1024*1024, og så videre for T, P, E, Z, Y. Du kan også bruke binærprefiks i form av KiB (K), MiB (M), og så videre.

Ved bruk av --follow (-f) følger tail etter filbeskriveren, som betyr at tail kan fortsette overvåking av filer selv om de evt. får nye navn. Denne standardoppførselen er uønskelig når du vil overvåke det faktiske filnavnet fremfor filbeskriveren (aktuelt f.eks. for roterende loggfiler). Bruk i så fall --follow=name, som gjør at tail ikke forholder seg bevisst til annet enn filnavnet, uansett om du fjerner og oppretter aktuell fil på nytt.

OPPHAVSMANN
Skrevet av Paul Rubin, David MacKenzie, Ian Lance Taylor og Jim Meyering.

RAPPORTERING AV FEIL
Få hjelp til bruk av GNU coreutils på nett: <https://www.gnu.org/software/coreutils/>
Rapporter oversettelsesfeil til <https://translationproject.org/team/nb.html>

OPPHAVSRETT
Copyright © 2020 Free Software Foundation, Inc. Lisens GPLv3+: GNU GPL versjon 3 eller senere <https://gnu.org/licenses/gpl.html>.
Dette er fri programvare. Du kan endre og dele den videre. Det stilles INGEN GARANTI, i den grad dette tillates av gjeldende lovverk.

SE OGSÅ
head(1)

Fullstendig dokumentasjon: <https://www.gnu.org/software/coreutils/tail>
eller lokalt: info '(coreutils) tail invocation'

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.